For the complete documentation index, see llms.txt. This page is also available as Markdown.

List handlings for an order

List all handlings for a specific order

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
orderUidstringOptionalDeprecatedPattern: ^[A-Za-z0-9-_]*
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "active": true,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "description": "text",
      "handlingUid": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "name": "text",
      "orderHandlingUid": "text",
      "state": "NOT_STARTED"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?